
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.minotown.init;

import net.neoforged.neoforge.registries.DeferredRegister;
import net.neoforged.neoforge.registries.DeferredHolder;
import net.neoforged.neoforge.event.BuildCreativeModeTabContentsEvent;
import net.neoforged.fml.common.EventBusSubscriber;
import net.neoforged.bus.api.SubscribeEvent;

import net.minecraft.world.level.block.Blocks;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.CreativeModeTabs;
import net.minecraft.world.item.CreativeModeTab;
import net.minecraft.network.chat.Component;
import net.minecraft.core.registries.Registries;

import net.mcreator.minotown.MinotownMod;

@EventBusSubscriber(bus = EventBusSubscriber.Bus.MOD)
public class MinotownModTabs {
	public static final DeferredRegister<CreativeModeTab> REGISTRY = DeferredRegister.create(Registries.CREATIVE_MODE_TAB, MinotownMod.MODID);
	public static final DeferredHolder<CreativeModeTab, CreativeModeTab> ZONES = REGISTRY.register("zones",
			() -> CreativeModeTab.builder().title(Component.translatable("item_group.minotown.zones")).icon(() -> new ItemStack(MinotownModBlocks.RESIDENTAL.get())).displayItems((parameters, tabData) -> {
				tabData.accept(MinotownModBlocks.RESIDENTAL.get().asItem());
				tabData.accept(MinotownModBlocks.APARTMENT_RESIDENTAL.get().asItem());
				tabData.accept(MinotownModBlocks.COMMERCIAL.get().asItem());
				tabData.accept(MinotownModBlocks.MALL.get().asItem());
				tabData.accept(MinotownModBlocks.INDUSTRIAL.get().asItem());
				tabData.accept(MinotownModBlocks.FACTORY.get().asItem());
				tabData.accept(MinotownModBlocks.SCHOOL.get().asItem());
			}).build());
	public static final DeferredHolder<CreativeModeTab, CreativeModeTab> ROADS = REGISTRY.register("roads",
			() -> CreativeModeTab.builder().title(Component.translatable("item_group.minotown.roads")).icon(() -> new ItemStack(MinotownModBlocks.ROAD.get())).displayItems((parameters, tabData) -> {
				tabData.accept(MinotownModBlocks.ROAD.get().asItem());
				tabData.accept(MinotownModBlocks.ROUNDABOUT.get().asItem());
				tabData.accept(MinotownModBlocks.L_SHAPED_ROAD.get().asItem());
				tabData.accept(MinotownModBlocks.T_SHAPED_ROAD.get().asItem());
				tabData.accept(MinotownModBlocks.STREETLIGHTS.get().asItem());
			}).withTabsBefore(ZONES.getId()).build());
	public static final DeferredHolder<CreativeModeTab, CreativeModeTab> ENERGY_AND_WATER = REGISTRY.register("energy_and_water",
			() -> CreativeModeTab.builder().title(Component.translatable("item_group.minotown.energy_and_water")).icon(() -> new ItemStack(MinotownModBlocks.SOLAR_PANEL.get())).displayItems((parameters, tabData) -> {
				tabData.accept(MinotownModBlocks.SOLAR_PANEL.get().asItem());
				tabData.accept(MinotownModBlocks.WATER_TOWER.get().asItem());
				tabData.accept(MinotownModBlocks.OIL_RIG.get().asItem());
				tabData.accept(MinotownModBlocks.OIL_RIG_WATER_STABILIZER.get().asItem());
			}).withTabsBefore(ROADS.getId()).build());
	public static final DeferredHolder<CreativeModeTab, CreativeModeTab> HAPPINESS = REGISTRY.register("happiness",
			() -> CreativeModeTab.builder().title(Component.translatable("item_group.minotown.happiness")).icon(() -> new ItemStack(Blocks.OAK_SAPLING)).displayItems((parameters, tabData) -> {
				tabData.accept(MinotownModBlocks.PARK.get().asItem());
				tabData.accept(MinotownModBlocks.BLACK_HOLE.get().asItem());
				tabData.accept(MinotownModBlocks.MOSQUE.get().asItem());
				tabData.accept(MinotownModBlocks.CHURCH.get().asItem());
				tabData.accept(MinotownModBlocks.TREE.get().asItem());
			}).withTabsBefore(ENERGY_AND_WATER.getId()).build());

	@SubscribeEvent
	public static void buildTabContentsVanilla(BuildCreativeModeTabContentsEvent tabData) {
		if (tabData.getTabKey() == CreativeModeTabs.SPAWN_EGGS) {
			tabData.accept(MinotownModItems.CITIZEN_SPAWN_EGG.get());
		}
	}
}
